Hello,

Thank you for your interest in contributing to `flatpickr`!

## What to contribute

You're welcome to contribute to the source code, unit tests, or the documentation of the library.

### Contributing to documentation

You may submit PRs to the [documentation](https://github.com/chmln/flatpickr/tree/docs) without any notice.

The docs are written in markdown, so please commit just the changes you've made to the `.md` files.

Optional: to run the docs locally, install [`hugo`](https://gohugo.io/) and run `hugo server`

### Contributing to source code

If you've found a bug and would like to fix it, submit a PR and include a fiddle with reproduces the bug.

If you'd like to contribute a feature, consider writing and contributing a [plugin](https://github.com/chmln/flatpickr/tree/master/src/plugins). 

How to submit a pull request:

1. Fork the repository.
2. Setup the necessary dependencies by running `yarn`. 
3. Then, `yarn start` to launch the dev environment. 
4. `index.html` is where you can experiment with various options. 
5. Ensure there are no linting errors in the terminal
6. Ensure that all the tests pass by running `yarn test`
7. **Commit only the changes to `src` and `test` (if applicable)**, then `git push`
8. https://github.com/chmln/flatpickr/compare



## License

By submitting a contribution to this project, you agree to allow the project
owners to license your work as part of this project under this project's
[license](LICENSE.md).
